/**
 * Заменяет атрибут `fill` в SVG-коде.
 * @param svgText Исходный SVG в виде строки.
 * @param fillColor Новый цвет для fill.
 * @returns Измененный SVG-код.
 */
export function replaceFillInSvg(svgText: string, fillColor: string): string {
  const parser = new DOMParser()
  const svgDoc = parser.parseFromString(svgText, 'image/svg+xml')
  const paths = svgDoc.querySelectorAll('path, rect, circle, polygon, ellipse')

  paths.forEach((path) => {
    if (path.hasAttribute('fill')) {
      path.setAttribute('fill', fillColor)
    }
  })

  const serializer = new XMLSerializer()
  return serializer.serializeToString(svgDoc)
}
